package Cluedo.Game;

import java.util.Vector;

public class Position {

 String ID = null;
 Vector neighbours = new Vector();
 
	public void enterPlayer(Player enterPlayer) {
	}

	public void leavePlayer() {
	}
	public void leavePlayer(Player player) {
	}
	
 public Position(String ID) {
 	this.ID = ID;
 }
 
 public String getID() {
 	return ID;
 }

 public boolean isOccupied() { return false;}; 
  
 public Position[] listNeighbours() {
 	Position[] pos = new Position[neighbours.size()];
 	for(int i = 0; i < neighbours.size(); i++)
 		pos[i] = (Position)neighbours.elementAt(i);
 	return pos;
 }
 
 public Vector getNeighbours() {
 	return neighbours;
 }
 
 public void addNeighbour(Position neighbour) {
 	if(!neighbours.contains(neighbour))
 		neighbours.add(neighbour);
 }
 
}